public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
From: "Philippe Mathieu-Daudé" <philmd@redhat.com>
To: Leif Lindholm <leif.lindholm@linaro.org>, devel@edk2.groups.io
Cc: Bob Feng <bob.c.feng@intel.com>,
	Liming Gao <liming.gao@intel.com>,
	Laszlo Ersek <lersek@redhat.com>,
	Philippe Mathieu-Daude <philmd@redhat.com>
Subject: [PATCH 3/3] BaseTools: Add script to help git-send-email pick addresses to cc
Date: Wed, 16 Oct 2019 16:09:40 +0200	[thread overview]
Message-ID: <20191016140940.18844-4-philmd@redhat.com> (raw)
In-Reply-To: <20191016140940.18844-1-philmd@redhat.com>

Add a new script GitCcCmd.sh that git-send-email can use to
automatically determine which addresses to cc on patch submission.

Signed-off-by: Philippe Mathieu-Daude <philmd@redhat.com>
---
 BaseTools/Scripts/GitCcCmd.sh | 38 +++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100755 BaseTools/Scripts/GitCcCmd.sh

diff --git a/BaseTools/Scripts/GitCcCmd.sh b/BaseTools/Scripts/GitCcCmd.sh
new file mode 100755
index 000000000000..3afdf3f1e40b
--- /dev/null
+++ b/BaseTools/Scripts/GitCcCmd.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+###
+# @file
+# Shell script to be called by 'git-send-email --cc-cmd' to pick the correct
+# maintainer emails for each patch when sending a series.
+#
+# Copyright (C) 2019, Red Hat, Inc.
+#
+# SPDX-License-Identifier: BSD-2-Clause-Patent
+#
+# This script expects the following EDK2 environment variables defined:
+# - WORKSPACE
+# - EDK_TOOLS_PATH
+#
+###
+
+set -e
+
+#
+# git-send-email calls this script with a list of patches generated by
+# git-format-patch.
+#
+for arg in $@; do
+    case ${arg} in
+    *0000-cover-letter.patch)
+        break
+        ;;
+    *.patch)
+        test -e ${arg} && (
+            cd ${WORKSPACE} && \
+            head -1 < ${arg} \
+            | cut -d' ' -f2 \
+            | xargs python ${EDK_TOOLS_PATH}/Scripts/GetMaintainer.py --quiet
+        )
+        break
+        ;;
+    esac
+done
-- 
2.21.0


  parent reply	other threads:[~2019-10-16 14:09 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-16 14:09 [PATCH 0/3] BaseTools: Add a script to use with 'git-send-email --cc-cmd' Philippe Mathieu-Daudé
2019-10-16 14:09 ` [PATCH 1/3] BaseTools: Let the GetMaintainer.py script be executable Philippe Mathieu-Daudé
2019-10-18  1:44   ` Bob Feng
2019-10-16 14:09 ` [PATCH 2/3] BaseTools: Add '--quiet' option to GetMaintainer.py script Philippe Mathieu-Daudé
2019-10-16 14:09 ` Philippe Mathieu-Daudé [this message]
2019-10-16 14:12   ` [PATCH 3/3] BaseTools: Add script to help git-send-email pick addresses to cc Philippe Mathieu-Daudé
2019-10-16 14:49 ` [PATCH 0/3] BaseTools: Add a script to use with 'git-send-email --cc-cmd' Laszlo Ersek
2019-10-16 15:18 ` Leif Lindholm
2019-10-16 16:50   ` Philippe Mathieu-Daudé
2019-10-16 18:30     ` Stefan Hajnoczi

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-list from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191016140940.18844-4-philmd@redhat.com \
    --to=devel@edk2.groups.io \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox